#!/bin/bash
#

rpm -Uvh ftp://linux1.fnal.gov/linux/611/i386/updates/RedHat/RPMS/kernel-2.2.16-3.i686.rpm
if ! [ "$(rpm -qa | grep 'kernel-smp')" = "" ] ; then 
	rpm -Uvh ftp://linux1.fnal.gov/linux/611/i386/updates/RedHat/RPMS/kernel-smp-2.2.16-3.i686.rpm
fi
if ! [ "$(rpm -qa | grep 'kernel-BOOT')" = "" ] ; then 
	rpm -Uvh ftp://linux1.fnal.gov/linux/611/i386/updates/RedHat/RPMS/kernel-BOOT-2.2.16-3.i386.rpm
fi
if ! [ "$(rpm -qa | grep 'kernel-doc')" = "" ] ; then 
	rpm -Uvh ftp://linux1.fnal.gov/linux/611/i386/updates/RedHat/RPMS/kernel-doc-2.2.16-3.i386.rpm
fi
if ! [ "$(rpm -qa | grep 'kernel-headers')" = "" ] ; then 
	rpm -Uvh --nodeps ftp://linux1.fnal.gov/linux/611/i386/updates/RedHat/RPMS/kernel-headers-2.2.16-3.i386.rpm
fi
if ! [ "$(rpm -qa | grep 'kernel-ibcs')" = "" ] ; then 
	rpm -Uvh ftp://linux1.fnal.gov/linux/611/i386/updates/RedHat/RPMS/kernel-ibcs-2.2.16-3.i386.rpm
fi
if ! [ "$(rpm -qa | grep 'kernel-utils')" = "" ] ; then 
	rpm -Uvh --nodeps ftp://linux1.fnal.gov/linux/611/i386/updates/RedHat/RPMS/kernel-utils-2.2.16-3.i386.rpm
fi
if ! [ "$(rpm -qa | grep 'kernel-pcmcia-cs')" = "" ] ; then 
	rpm -Uvh ftp://linux1.fnal.gov/linux/611/i386/updates/RedHat/RPMS/kernel-pcmcia-cs-2.2.16-3.i386.rpm
fi
if ! [ "$(rpm -qa | grep 'kernel-source')" = "" ] ; then 
	rpm -Uvh ftp://linux1.fnal.gov/linux/611/i386/updates/RedHat/RPMS/kernel-source-2.2.16-3.i386.rpm
fi


if ! [ "$(rpm -qa | grep 'kernel-smp')" = "" ] ; then 
	/sbin/mkinitrd /boot/initrd-2.2.16-3smp.img 2.2.16-3smp
fi
/sbin/mkinitrd /boot/initrd-2.2.16-3.img 2.2.16-3


cp -f /etc/lilo.conf /etc/lilo.conf.kernel.save
/usr/bin/csplit -f /tmp/lilotest /etc/lilo.conf /"image="/
if ! [ "$(rpm -qa | grep 'kernel-smp')" = "" ] ; then 
echo "image=/boot/vmlinuz-2.2.16-3smp" >> /tmp/lilotest00
echo "     label=linux" >> /tmp/lilotest00
echo "     initrd=/boot/initrd-2.2.16-3smp.img" >> /tmp/lilotest00
echo "     read-only" >> /tmp/lilotest00
echo "     root=/dev/hda1" >> /tmp/lilotest00
echo "" >> /tmp/lilotest00
fi
echo "image=/boot/vmlinuz-2.2.16-3" >> /tmp/lilotest00
if ! [ "$(rpm -qa | grep 'kernel-smp')" = "" ] ; then 
echo "     label=linux-up" >> /tmp/lilotest00
else
echo "     label=linux" >> /tmp/lilotest00
fi
echo "     initrd=/boot/initrd-2.2.16-3.img" >> /tmp/lilotest00
echo "     read-only" >> /tmp/lilotest00
echo "     root=/dev/hda1" >> /tmp/lilotest00

cp -f /tmp/lilotest00 /etc/lilo.conf
chmod 644 /etc/lilo.conf
/sbin/lilo
